Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.administered.getLicensingSubscriptionEntitlements({
skuses: ["string"],
});
export const merakiAdministeredLicensingSubscriptionEntitlementsExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.administered.get_licensing_subscription_entitlements(skuses=["string"])
pulumi.export("merakiAdministeredLicensingSubscriptionEntitlementsExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/administered"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := administered.GetLicensingSubscriptionEntitlements(ctx, &administered.GetLicensingSubscriptionEntitlementsArgs{
Skuses: []string{
"string",
},
}, nil)
if err != nil {
return err
}
ctx.Export("merakiAdministeredLicensingSubscriptionEntitlementsExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Administered.GetLicensingSubscriptionEntitlements.Invoke(new()
{
Skuses = new[]
{
"string",
},
});
return new Dictionary<string, object?>
{
["merakiAdministeredLicensingSubscriptionEntitlementsExample"] = example.Apply(getLicensingSubscriptionEntitlementsResult => getLicensingSubscriptionEntitlementsResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.administered.AdministeredFunctions;
import com.pulumi.meraki.administered.inputs.GetLicensingSubscriptionEntitlementsArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = AdministeredFunctions.getLicensingSubscriptionEntitlements(GetLicensingSubscriptionEntitlementsArgs.builder()
.skuses("string")
.build());
ctx.export("merakiAdministeredLicensingSubscriptionEntitlementsExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:administered:getLicensingSubscriptionEntitlements
arguments:
skuses:
- string
outputs:
merakiAdministeredLicensingSubscriptionEntitlementsExample: ${example.item}
Using getLicensingSubscriptionEntitlements
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getLicensingSubscriptionEntitlements(args: GetLicensingSubscriptionEntitlementsArgs, opts?: InvokeOptions): Promise<GetLicensingSubscriptionEntitlementsResult>
function getLicensingSubscriptionEntitlementsOutput(args: GetLicensingSubscriptionEntitlementsOutputArgs, opts?: InvokeOptions): Output<GetLicensingSubscriptionEntitlementsResult>def get_licensing_subscription_entitlements(skuses: Optional[Sequence[str]] = None,
opts: Optional[InvokeOptions] = None) -> GetLicensingSubscriptionEntitlementsResult
def get_licensing_subscription_entitlements_output(skuses: Optional[pulumi.Input[Sequence[pulumi.Input[str]]]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetLicensingSubscriptionEntitlementsResult]func GetLicensingSubscriptionEntitlements(ctx *Context, args *GetLicensingSubscriptionEntitlementsArgs, opts ...InvokeOption) (*GetLicensingSubscriptionEntitlementsResult, error)
func GetLicensingSubscriptionEntitlementsOutput(ctx *Context, args *GetLicensingSubscriptionEntitlementsOutputArgs, opts ...InvokeOption) GetLicensingSubscriptionEntitlementsResultOutput> Note: This function is named GetLicensingSubscriptionEntitlements in the Go SDK.
public static class GetLicensingSubscriptionEntitlements
{
public static Task<GetLicensingSubscriptionEntitlementsResult> InvokeAsync(GetLicensingSubscriptionEntitlementsArgs args, InvokeOptions? opts = null)
public static Output<GetLicensingSubscriptionEntitlementsResult> Invoke(GetLicensingSubscriptionEntitlementsInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetLicensingSubscriptionEntitlementsResult> getLicensingSubscriptionEntitlements(GetLicensingSubscriptionEntitlementsArgs args, InvokeOptions options)
public static Output<GetLicensingSubscriptionEntitlementsResult> getLicensingSubscriptionEntitlements(GetLicensingSubscriptionEntitlementsArgs args, InvokeOptions options)
fn::invoke:
function: meraki:administered/getLicensingSubscriptionEntitlements:getLicensingSubscriptionEntitlements
arguments:
# arguments dictionaryThe following arguments are supported:
- Skuses List<string>
- skus query parameter. Filter to entitlements with the specified SKUs
- Skuses []string
- skus query parameter. Filter to entitlements with the specified SKUs
- skuses List<String>
- skus query parameter. Filter to entitlements with the specified SKUs
- skuses string[]
- skus query parameter. Filter to entitlements with the specified SKUs
- skuses Sequence[str]
- skus query parameter. Filter to entitlements with the specified SKUs
- skuses List<String>
- skus query parameter. Filter to entitlements with the specified SKUs
getLicensingSubscriptionEntitlements Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Licensing Subscription Entitlements Item - Skuses List<string>
- skus query parameter. Filter to entitlements with the specified SKUs
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Licensing Subscription Entitlements Item - Skuses []string
- skus query parameter. Filter to entitlements with the specified SKUs
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Licensing Subscription Entitlements Item - skuses List<String>
- skus query parameter. Filter to entitlements with the specified SKUs
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Licensing Subscription Entitlements Item - skuses string[]
- skus query parameter. Filter to entitlements with the specified SKUs
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Licensing Subscription Entitlements Item - skuses Sequence[str]
- skus query parameter. Filter to entitlements with the specified SKUs
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- skuses List<String>
- skus query parameter. Filter to entitlements with the specified SKUs
Supporting Types
GetLicensingSubscriptionEntitlementsItem
- Feature
Tier string - The feature tier associated with the entitlement (null for add-ons)
- Is
Add boolOn - Whether or not the entitlement is an add-on
- Name string
- The user-facing name of the entitlement
- Product
Class string - The product class associated with the entitlement
- Product
Type string - The product type of the entitlement
- Sku string
- The SKU identifier of the entitlement
- Feature
Tier string - The feature tier associated with the entitlement (null for add-ons)
- Is
Add boolOn - Whether or not the entitlement is an add-on
- Name string
- The user-facing name of the entitlement
- Product
Class string - The product class associated with the entitlement
- Product
Type string - The product type of the entitlement
- Sku string
- The SKU identifier of the entitlement
- feature
Tier String - The feature tier associated with the entitlement (null for add-ons)
- is
Add BooleanOn - Whether or not the entitlement is an add-on
- name String
- The user-facing name of the entitlement
- product
Class String - The product class associated with the entitlement
- product
Type String - The product type of the entitlement
- sku String
- The SKU identifier of the entitlement
- feature
Tier string - The feature tier associated with the entitlement (null for add-ons)
- is
Add booleanOn - Whether or not the entitlement is an add-on
- name string
- The user-facing name of the entitlement
- product
Class string - The product class associated with the entitlement
- product
Type string - The product type of the entitlement
- sku string
- The SKU identifier of the entitlement
- feature_
tier str - The feature tier associated with the entitlement (null for add-ons)
- is_
add_ boolon - Whether or not the entitlement is an add-on
- name str
- The user-facing name of the entitlement
- product_
class str - The product class associated with the entitlement
- product_
type str - The product type of the entitlement
- sku str
- The SKU identifier of the entitlement
- feature
Tier String - The feature tier associated with the entitlement (null for add-ons)
- is
Add BooleanOn - Whether or not the entitlement is an add-on
- name String
- The user-facing name of the entitlement
- product
Class String - The product class associated with the entitlement
- product
Type String - The product type of the entitlement
- sku String
- The SKU identifier of the entitlement
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
